treedecomposition.h File Reference

Deals with treewidth and tree decompositions, in particular for facet pairing graphs. More...

`#include "regina-core.h"`
`#include "output.h"`
`#include "triangulation/forward.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::TreeBag
| Represents a single bag in a tree decomposition. More...
class | regina::TreeDecomposition
| Represents a tree decomposition of a graph. More...
struct | regina::TreeDecomposition::Graph
| Represents a graph, which may be directed or undirected. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef TreeBag | regina::NTreeBag
| Deprecated typedef for backward compatibility. More...
typedef TreeDecomposition | regina::NTreeDecomposition
| Deprecated typedef for backward compatibility. More...

## Enumerations

enum | regina::TreeDecompositionAlg { regina::TD_UPPER = 0x0001, regina::TD_UPPER_GREEDY_FILL_IN = 0x0001 }
| Indicates which algorithm should be used to compute a tree decomposition of a graph. More...
enum | regina::BagComparison { regina::BAG_EQUAL = 0, regina::BAG_SUBSET = -1, regina::BAG_SUPERSET = 1, regina::BAG_UNRELATED = 2 }
| Indicates the relationship between two bags in a tree decomposition. More...
enum | regina::NiceType { regina::NICE_INTRODUCE = 1, regina::NICE_FORGET = 2, regina::NICE_JOIN = 3 }
| Used to indicate the type of each bag in a nice tree decomposition. More...

## Detailed Description

Deals with treewidth and tree decompositions, in particular for facet pairing graphs.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).